<script setup lang="ts">
import { onMounted, inject } from 'vue'
const __sdk: any = inject('__sdk')
const onModeChange = (mode: string) => {
  __sdk.Camera[mode]()
}
onMounted(() => {
  __sdk.mount('#scene').render()
})
</script>

<template>
  <div id="tools">
    <button @click="onModeChange('panorama')">漫游</button>
    <button @click="onModeChange('floorplan')">平面</button>
    <button @click="onModeChange('dollhouse')">三维</button>
  </div>
  <div id="scene"></div>
</template>

<style scoped>
#tools {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1000;
}
#scene {
  width: 100%;
  height: 100vh;
}
</style>
